| Flutter Impeller |

Public Member Functions | List of all members
impeller::PipelineLibraryVK Class Referencefinal

`#include <pipeline_library_vk.h>`

Inheritance diagram for impeller::PipelineLibraryVK:

## Public Member Functions
| ~PipelineLibraryVK () override
void | DidAcquireSurfaceFrame ()
const std::shared_ptr< PipelineCacheVK > & | GetPSOCache () const
const std::shared_ptr< fml::ConcurrentTaskRunner > & | GetWorkerTaskRunner () const
Public Member Functions inherited from impeller::PipelineLibrary
virtual | ~PipelineLibrary ()
PipelineFuture< PipelineDescriptor > | GetPipeline (std::optional< PipelineDescriptor > descriptor, bool async=true)
PipelineFuture< ComputePipelineDescriptor > | GetPipeline (std::optional< ComputePipelineDescriptor > descriptor, bool async=true)
void | LogPipelineUsage (const PipelineDescriptor &p)
void | LogPipelineCreation (const PipelineDescriptor &p)
std::unordered_map< PipelineDescriptor, int, ComparableHash< PipelineDescriptor >, ComparableEqual< PipelineDescriptor > > | GetPipelineUseCounts () const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< PipelineLibraryVK, PipelineLibrary >
static PipelineLibraryVK & | Cast (PipelineLibrary &base)
static const PipelineLibraryVK & | Cast (const PipelineLibrary &base)
static PipelineLibraryVK * | Cast (PipelineLibrary *base)
static const PipelineLibraryVK * | Cast (const PipelineLibrary *base)
Protected Member Functions inherited from impeller::PipelineLibrary
| PipelineLibrary ()

## Detailed Description

Definition at line 25 of file pipeline_library_vk.h.

## Constructor & Destructor Documentation

## ◆ ~PipelineLibraryVK()

impeller::PipelineLibraryVK::~PipelineLibraryVK | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ DidAcquireSurfaceFrame()

void impeller::PipelineLibraryVK::DidAcquireSurfaceFrame | ( |  | ) |

Definition at line 277 of file pipeline_library_vk.cc.

277 {
278 if (++frames_acquired_ == 50u) {
279 if (cache_dirty_) {
280 cache_dirty_ = false;
281 PersistPipelineCacheToDisk();
282 }
283 frames_acquired_ = 0;
284 }
285 }

Referenced by impeller::SurfaceContextVK::MarkFrameEnd().

## ◆ GetPSOCache()

const std::shared_ptr< PipelineCacheVK > & impeller::PipelineLibraryVK::GetPSOCache | ( |  | ) | const

Definition at line 298 of file pipeline_library_vk.cc.

298 {
299 return pso_cache_;
300 }

Referenced by impeller::PipelineVK::Create().

## ◆ GetWorkerTaskRunner()

const std::shared_ptr< fml::ConcurrentTaskRunner > & impeller::PipelineLibraryVK::GetWorkerTaskRunner | ( |  | ) | const

Definition at line 303 of file pipeline_library_vk.cc.

303 {
304 return worker_task_runner_;
305 }

The documentation for this class was generated from the following files:

- impeller/renderer/backend/vulkan/pipeline_library_vk.h
- impeller/renderer/backend/vulkan/pipeline_library_vk.cc